Đến nội dung


Hình ảnh
- - - - -

Phân biệt text


  • Please log in to reply
4 replies to this topic

#1 Gatesi

Gatesi

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 30 July 2009 - 12:02 AM

Khi dùng lisp cộng text trên diễn đàn, e cộng đc tất cả các text có trên bản vẽ, nhưng giờ e muốn cộng giá trị + và - riêng, làm thế nào đây mọi người, mong đc giúp đỡ.
  • 0

#2 quocanhxd05

quocanhxd05

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 30 July 2009 - 11:03 AM

Khi dùng lisp cộng text trên diễn đàn, e cộng đc tất cả các text có trên bản vẽ, nhưng giờ e muốn cộng giá trị + và - riêng, làm thế nào đây mọi người, mong đc giúp đỡ.

Bạn không up file lên nên tôi không thật sự hiểu ý bạn. Upfile lên đi bạn.
  • 0
-------------------- Sống ở trên đời cần một chữ NHẪN --------------------

#3 Gatesi

Gatesi

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 30 July 2009 - 11:10 PM

Bạn không up file lên nên tôi không thật sự hiểu ý bạn. Upfile lên đi bạn.

Thế này nhá. Trên diễn đàn có 1 lisp cộng text trên cad, khi mình chọn tất cả cá text muốn cộng lại và chọn điểm đặt kết quả là đc tổng các text đó, nhưng bây giờ e muốn cộng riêng text dương và text âm, tức là khi mình chọn text, lisp sẽ phân biệt đâu là text âm, dương cho mình và kết quả in ra trên mà hình cad là 2 giá trị, giá trị 1 là tổng tất cả số âm, giá trị 2 là tổng tất cả số đương, mong các bác giúp đỡ.
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 31 July 2009 - 08:07 AM

Thế này nhá. Trên diễn đàn có 1 lisp cộng text trên cad, khi mình chọn tất cả cá text muốn cộng lại và chọn điểm đặt kết quả là đc tổng các text đó, nhưng bây giờ e muốn cộng riêng text dương và text âm, tức là khi mình chọn text, lisp sẽ phân biệt đâu là text âm, dương cho mình và kết quả in ra trên mà hình cad là 2 giá trị, giá trị 1 là tổng tất cả số âm, giá trị 2 là tổng tất cả số đương, mong các bác giúp đỡ.

Bạn sử dụng Lisp này nhé :

(defun c:Loctext(/ ss tp i s1 s2 ent content)
(setq oldim (getvar "Dimzin"))
(setvar "Dimzin" 0)
(setq ss (ssget '((0 . "TEXT"))))
(setq tp (getint "So chu so thap phan :"))
(setq i 0 s1 0 s2 0)

(while (< i (sslength ss))
(setq ent (ssname ss i))
(if (and (setq content (distof(cdr(assoc 1 (entget ent))))) (< content 0))
(setq S1 (+ S1 content))
)

(if (and (setq content (distof(cdr(assoc 1 (entget ent))))) (>= content 0))
(setq S2 (+ S2 content))
)

(setq i (1+ i))
)

(setq S (+ S1 S2))
(alert (strcat "\n Tong cac so duong la : " (rtos S2 2 tp)
"\n Tong cac so am la : " (rtos S1 2 tp)
"\n Tong cac so la : " (rtos S 2 tp)
)
)
(setvar "Dimzin" oldim)
(princ)
)

  • 3

#5 Gatesi

Gatesi

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 31 July 2009 - 12:36 PM

Bạn sử dụng Lisp này nhé :


(defun c:Loctext(/ ss tp i s1 s2 ent content)
(setq oldim (getvar "Dimzin"))
(setvar "Dimzin" 0)
(setq ss (ssget '((0 . "TEXT"))))
(setq tp (getint "So chu so thap phan :"))
(setq i 0 s1 0 s2 0)

(while (< i (sslength ss))
(setq ent (ssname ss i))
(if (and (setq content (distof(cdr(assoc 1 (entget ent))))) (< content 0))
(setq S1 (+ S1 content))
)

(if (and (setq content (distof(cdr(assoc 1 (entget ent))))) (>= content 0))
(setq S2 (+ S2 content))
)

(setq i (1+ i))
)

(setq S (+ S1 S2))
(alert (strcat "\n Tong cac so duong la : " (rtos S2 2 tp)
"\n Tong cac so am la : " (rtos S1 2 tp)
"\n Tong cac so la : " (rtos S 2 tp)
)
)
(setvar "Dimzin" oldim)
(princ)
)

Rất cám ơn bạn, ngon rùi :s_dead:
  • 0